package com.mx.dla.dda.reporte.pagosTransaccion.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.reporte.pagosTransaccion.dtos.TransaccionSAP;

public interface TransaccionSAPDAO {

	void insertarTransaccionSAP(TransaccionSAP transaccion);
	
	TransaccionSAP buscarTransaccionSAPPorIDMes(@Param("idContrato") Long idContrato , @Param("mes") String mes);
	
	List<TransaccionSAP> buscarTransaccionSAPPorEstudioMes(@Param("idEstudio") Long idEstudio , @Param("mes") String mes);
	
	List<TransaccionSAP> buscarTransaccionSAPPorMes(@Param("mes") String mes);
	
	List<TransaccionSAP> buscarTransaccionSAPPorID(@Param("idContrato") Long idContrato);
}
